package com.yeejoin.amos.safety.common.cache;

import java.util.HashMap;
import java.util.Map;

/**
 * 巡检点状态
 * @author Administrator
 *
 */
public class PointStatusCache {

	private static PointStatusCache instance;

	private Map<Long,String> pointStatusMap = new HashMap<Long, String>();

	public static PointStatusCache getInstance(){
		if (instance ==null)
		{
			instance = new PointStatusCache();
		}
		return instance;
	}

	public void putPointStatus(long pointId,String status){
		pointStatusMap.put(pointId, status);
	}

	public String getPointStatus(long pointId){
		return pointStatusMap.get(pointId);
	}
}
